Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 362461 - [gnome-overlay] app-pda/gtkpod-2.1.x dev-util/anjuta-3.0.0 - configure: error: *** No package 'libanjuta-1.0' found
Summary: [gnome-overlay] app-pda/gtkpod-2.1.x dev-util/anjuta-3.0.0 - configure: error...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Olivier Crete (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 371719
Blocks: gnome3
  Show dependency tree
 
Reported: 2011-04-07 16:04 UTC by Alex Ermakov
Modified: 2012-09-25 06:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Complete build log (build.log,7.01 KB, text/plain)
2011-04-07 16:07 UTC, Alex Ermakov
Details
config.log (config.log,43.40 KB, text/plain)
2011-04-07 17:28 UTC, Alex Ermakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Ermakov 2011-04-07 16:04:24 UTC
app-pda/gtkpodf-2.0.0 fails to build with anjuta-3.0.0 installed. Downgrading anjuta to 2.32.1.1 version helps. More then this, i think it's really strange that ipod manager depends on IDE(!), since previous versions don't have such dependencies.

Reproducible: Always

Steps to Reproduce:
1. emerge =dev-util/anjuta-2.32.1.1
2. emerge =app-pda/gtkpod-2.0.0
Actual Results:  
Build fails

Expected Results:  
Build succeed

lx@lxlaptop ~ $ emerge --info
Portage 2.1.9.45 (default/linux/amd64/10.0/desktop, gcc-4.5.2, glibc-2.13-r2, 2.6.38-gentoo x86_64)
=================================================================
System uname: Linux-2.6.38-gentoo-x86_64-Intel-R-_Core-TM-_i5_CPU_M_520_@_2.40GHz-with-gentoo-2.0.2
Timestamp of tree: Thu, 07 Apr 2011 05:30:01 +0000
ccache version 3.1.4 [enabled]
app-shells/bash:     4.2_p8
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/ccache:     3.1.4
dev-util/cmake:      2.8.4
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.0
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.38 (sys-kernel/linux-headers)
ABI="amd64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
ASFLAGS_x86="--32"
AUTOCLEAN="yes"
CAMERAS="ptp2"
CBUILD="x86_64-pc-linux-gnu"
CCACHE_DIR="/ccache"
CFLAGS="-march=native -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -ftree-loop-linear -ftree-loop-im -fweb -frename-registers -fomit-frame-pointer -fexcess-precision=fast"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules"
COLORTERM="gnome-terminal"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CVS_RSH="ssh"
CXXFLAGS="-march=native -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -ftree-loop-linear -ftree-loop-im -fweb -frename-registers -fomit-frame-pointer -fexcess-precision=fast"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-D7gMSd0SmH,guid=bed066bd2363e962d757a5ee00000024"
DEFAULT_ABI="amd64"
DESKTOP_SESSION="gnome"
DISPLAY=":0"
DISTDIR="/usr/portage/distfiles"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--ask --verbose"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs ccache distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FETCHCOMMAND="/usr/bin/wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec sftp -P \${port} \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
FFLAGS=""
FLTK_DOCDIR="/usr/share/doc/fltk-1.3.0_rc3-r1/html"
GCC_SPECS=""
GDK_USE_XFT="1"
GDMSESSION="gnome"
GDM_LANG=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
GJS_DEBUG_OUTPUT="stderr"
GJS_DEBUG_TOPICS="JS ERROR;JS LOG"
GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
GNOME_KEYRING_CONTROL="/tmp/keyring-ih8dBw"
GNOME_KEYRING_PID="2400"
GPG_AGENT_INFO="/tmp/keyring-ih8dBw/gpg:0:1"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx"
GSETTINGS_BACKEND="dconf"
GUILE_LOAD_PATH="/usr/share/guile/1.8"
HOME="/home/lx"
INFOPATH="/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.21/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.2/info"
INPUT_DEVICES="evdev synaptics"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
LANG="ru_RU.UTF-8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_ALL="ru_RU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_s390="lib32"
LIBDIR_s390x="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LINGUAS="ru en"
LOGNAME="lx"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:"
MAKEOPTS="-j5"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.21/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.2/man:/etc/java-config/system-vm/man/:/usr/share/postgresql-9.0/man:/usr/lib64/erlang/man"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OPENGL_PROFILE="xorg-x11"
ORBIT_SOCKETDIR="/tmp/orbit-lx"
PAGER="/usr/bin/less"
PATH="/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.2"
PHP_TARGETS="php5-3"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc sparc64-freebsd ppc-openbsd x86-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd x86-cygwin amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris mips-irix m68k sh x86-solaris sparc-fbsd"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save_summary echo"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SANDBOX_COMPAT_LEVEL="16"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/bleeding-edge /var/lib/layman/mozilla /var/lib/layman/gnome /usr/local/portage"
PRELINK_PATH_MASK="/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so"
PROFILE_ONLY_VARIABLES="ARCH ELIBC KERNEL USERLAND"
PWD="/home/lx"
PYTHONDONTWRITEBYTECODE="1"
RESUMECOMMAND="/usr/bin/wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.2"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby18"
SBCL_HOME="/usr/lib64/sbcl"
SBCL_SOURCE_ROOT="/usr/lib64/sbcl/src"
SESSION_MANAGER="local/lxlaptop:@/tmp/.ICE-unix/2419,unix/lxlaptop:/tmp/.ICE-unix/2419"
SHELL="/bin/bash"
SHLVL="1"
SSH_AGENT_PID="2439"
SSH_AUTH_SOCK="/tmp/keyring-ih8dBw/ssh"
STAGE1_USE="multilib nptl nptlonly unicode"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="xterm"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gnome gnome-keyring gpm gtk iconv introspection ipv6 jpeg jpeg2k lcms ldap libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 readline sdl session spell sse sse2 ssl ssse3 startup-notification svg sysfs tcpd tiff truetype udev unicode usb vorbis x264 xcb xml xorg xulrunner xv xvid zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
USER="lx"
USERLAND="GNU"
USERNAME="lx"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CAMERAS COLLECTD_PLUGINS CROSSCOMPILE_OPTS DRACUT_MODULES DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS GPSD_PROTOCOLS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL PHP_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:env.d"
VIDEO_CARDS="intel"
WINDOWID="18874373"
WINDOWPATH="7"
XAUTHORITY="/var/run/gdm/auth-for-lx-CtJPxn/database"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share:/usr/share/gdm"
XDG_MENU_PREFIX="gnome-"
XDG_SESSION_COOKIE="28ec634ab7422feb5f4250e9000068d1-1302185948.472024-129066807"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
_="/usr/bin/emerge"
Comment 1 Alex Ermakov 2011-04-07 16:07:40 UTC
Created attachment 268873 [details]
Complete build log
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2011-04-07 17:22:54 UTC
!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/app-pda/gtkpod-2.0.0/work/gtkpod-2.0.0/config.log
Comment 3 Alex Ermakov 2011-04-07 17:28:53 UTC
Created attachment 268895 [details]
config.log
Comment 4 Samuli Suominen (RETIRED) gentoo-dev 2011-04-08 21:02:06 UTC
We might need slotted dev-util/anjuta here.
Comment 5 Gilles Dartiguelongue gentoo-dev 2011-04-09 12:47:13 UTC
There is little chance we will slot any application unless they were meant to be. It is not the case for anjuta afaik, but I will be able to tell you more once I've reviewed this ebuild.
Comment 6 Samuli Suominen (RETIRED) gentoo-dev 2011-04-09 12:49:34 UTC
(In reply to comment #5)
> There is little chance we will slot any application unless they were meant to
> be. It is not the case for anjuta afaik, but I will be able to tell you more
> once I've reviewed this ebuild.

The shared library w/ headers from anjuta should be sufficient, skipping the application part of it
Comment 7 Olivier Crete (RETIRED) gentoo-dev 2011-04-09 15:25:25 UTC
I guess the short term solution is twofold:

- Add a =anjuta-2*  to gtkpod
- If anjuta 3 reaches the main tree before a compatible version of gtkpod is release, then p.mask gtkpod 2.0 until it happens.
Comment 8 Samuli Suominen (RETIRED) gentoo-dev 2011-04-09 15:29:36 UTC
(In reply to comment #7)
> I guess the short term solution is twofold:
> 
> - Add a =anjuta-2*  to gtkpod

Already done to prevent unslotted anjuta hitting the tree.

> - If anjuta 3 reaches the main tree before a compatible version of gtkpod is
> release, then p.mask gtkpod 2.0 until it happens.

... or we could have dev-libs/libanjuta from anjuta-2 for gtkpod-2.0.0, knowing gtkpod's release cycle the next one will be out sometime 2012.
Comment 9 Samuli Suominen (RETIRED) gentoo-dev 2011-06-14 18:41:57 UTC
From upstream HOMEPAGE:

-- start --

NEWS
gtkpod 2.0.2 and 2.1.0 unstable builds

These builds represent the current transition between gtk2 and gtk3. Since anjuta has been migrated to gtk3 so gtkpod has done the same. However, not all distros have yet completed this migration so these builds are intended to meet the requirements of gtk2 and gtk3.

Unsurprisingly, 2.0.2 represents a continuation of the gtk2 code stream while 2.1.0 migrates to the gtk3 and libanjuta3 platform. New features will be targeted at 2.1.0 but where possible they will be backported to 2.0.2. 

-- end --

So gtkpod-2.1.0 should be added to tree at the same time with anjuta-3
Comment 10 Samuli Suominen (RETIRED) gentoo-dev 2011-09-17 14:24:59 UTC
+  17 Sep 2011; Samuli Suominen <ssuominen@gentoo.org> package.mask:
+  Insert app-pda/gtkpod >= 2.1.0 mask next to required dev-util/anjuta >= 3
+  dependency.
+

+*gtkpod-2.1.0 (17 Sep 2011)
+
+  17 Sep 2011; Samuli Suominen <ssuominen@gentoo.org> +gtkpod-2.1.0.ebuild:
+  Version bump wrt #362461 by Alex Ermakov
Comment 11 Olliver Schinagl 2012-09-23 16:39:02 UTC
I still find it appaling that you have an entire IDE as dependancy for an application.

I see it requires only libanjuta, but that should be mostly for internal features of anjuta. I understand that gtkpod uses some features of libanjuta for its GUI, but that's just redicilous imo.
Comment 12 Samuli Suominen (RETIRED) gentoo-dev 2012-09-24 08:26:45 UTC
(In reply to comment #11)
> I still find it appaling that you have an entire IDE as dependancy for an
> application.
> 
> I see it requires only libanjuta, but that should be mostly for internal
> features of anjuta. I understand that gtkpod uses some features of libanjuta
> for its GUI, but that's just redicilous imo.

Then you should convince GNOME upstream at http://bugzilla.gnome.org/ to split libanjuta into it's own package if our gnome@ maintainers are not willing to the split at downstream level. 

They are CC'd in this bug, so they might see this, but I'd propably file new bugs to both bugzillas... The Gentoo bug having link in the "See also: " field to the upstrema bug.
Comment 13 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-09-25 05:23:19 UTC
(In reply to comment #11)
> I still find it appaling that you have an entire IDE as dependancy for an
> application.

I am not opposed to splitting libanjuta out of anjuta into a separate package. However, since gtkpod is currently the only package in portage that needs libanjuta, I consider splitting anjuta to be a very low-priority project. In other words, it will not get done until somebody else who is interested - like you! - writes the necessary patches.
Comment 14 Samuli Suominen (RETIRED) gentoo-dev 2012-09-25 06:21:01 UTC
(In reply to comment #13)
> (In reply to comment #11)
> > I still find it appaling that you have an entire IDE as dependancy for an
> > application.
> 
> I am not opposed to splitting libanjuta out of anjuta into a separate
> package. However, since gtkpod is currently the only package in portage that
> needs libanjuta, I consider splitting anjuta to be a very low-priority
> project. In other words, it will not get done until somebody else who is
> interested - like you! - writes the necessary patches.

indeed. gtkpod is left for the pda@ team to maintain, and I don't even own *any* ipod, ipad, iwhatever... so my motivation on writing anything is zero unless someone buys me an ipod. :)